# Main tasks file for installing Nexus
- name: Configure Registry
  set_fact:
    gitlab_repository: "{{ platform.harbor_registry }}/gitlab-proxy"
    quay_repository: "{{ platform.harbor_registry }}/quay-proxy"
    dockerhub_repository: "{{ platform.harbor_registry }}/docker-hub-proxy"
    busybox_image_repository: "{{ platform.harbor_registry }}/docker-hub-proxy/library/busybox"
    maven_image_repository: "{{ platform.harbor_registry }}/docker-hub-proxy/library/maven"
  when: platform.harbor_registry is defined
  tags: always


- name: Deploy Nexus
  include: install.yml

- name: Initialize Nexus
  import_tasks: initialize.yml
  tags: [ init ]

- name: Remove nexus
  import_tasks: remove.yml
  tags: [ never, remove ]

- name: Test
  import_tasks: test/tasks/test.yml
  tags: [ never, test ]

- name: Migrate PVC
  import_tasks: migrate/migrate_pvc.yml
  tags: [ never, migrate_pvc ]
